import { Pipe } from '@angular/core';
import * as moment from 'moment';
/*
 * Usage:
 *   <span [innerHTML]="timestamp | almMomentTime"></span>
*/
var AlmMomentTime = /** @class */ (function () {
    function AlmMomentTime() {
    }
    AlmMomentTime.prototype.transform = function (val) {
        if (!val) {
            return '';
        }
        var aMonthAgo = new Date();
        aMonthAgo.setMonth(aMonthAgo.getMonth() - 1);
        var dateValue = new Date(val);
        if (dateValue < aMonthAgo) {
            return "<span title=\"" + moment(val).format('LLL') + "\">\n                " + moment(val).format('D MMM YYYY') + "\n              </span>";
        }
        return "<span title=\"" + moment(val).format('LLL') + "\">\n              " + moment(val, [moment.ISO_8601]).fromNow() + "\n            </span>";
    };
    AlmMomentTime.decorators = [
        { type: Pipe, args: [{ name: 'almMomentTime' },] },
    ];
    /** @nocollapse */
    AlmMomentTime.ctorParameters = function () { return []; };
    return AlmMomentTime;
}());
export { AlmMomentTime };
//# sourceMappingURL=alm-moment-time.pipe.js.map