import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
/**
 * This provides a very simple retrieval of issue information from
 * GitHub. It uses the non-authorized public API of GitHub, so it
 * is rate-limited (to 60 requests/hr currently). To avoid as much
 * requests as possible, the request responses are cached here.
 */
export declare class GitHubLinkService {
    private http;
    private linkCache;
    constructor(http: HttpClient);
    getIssue(linkData: any): Observable<any>;
    private findInCache(linkData);
}
