import { Pipe } from '@angular/core';
/*
 * Appends size info to Avatar URL
 * Usage:
 *   URL | almAvatarSize:size
 * Example:
 *   {{ URL |  almAvatarSize:20}}
 *   formats to: URL&s=20
*/
var AlmAvatarSize = /** @class */ (function () {
    function AlmAvatarSize() {
    }
    AlmAvatarSize.prototype.transform = function (value, size) {
        return value + '&s=' + size;
    };
    AlmAvatarSize.decorators = [
        { type: Pipe, args: [{ name: 'almAvatarSize' },] },
    ];
    /** @nocollapse */
    AlmAvatarSize.ctorParameters = function () { return []; };
    return AlmAvatarSize;
}());
export { AlmAvatarSize };
//# sourceMappingURL=alm-avatar-size.pipe.js.map