import { Pipe } from '@angular/core';
var AlmSearchHighlight = /** @class */ (function () {
    function AlmSearchHighlight() {
    }
    AlmSearchHighlight.prototype.transform = function (val, search) {
        if (search != '' && search.length) {
            var lowerVal = val.toLowerCase();
            search = search.toLowerCase();
            if (!lowerVal)
                return '';
            else
                return this.convertToOriginal(lowerVal.split(search).join('<b>' + search + '</b>'), val);
        }
        else {
            return val;
        }
    };
    AlmSearchHighlight.prototype.convertToOriginal = function (str, original) {
        var output = '';
        var inTag = false;
        var j = 0;
        for (var i = 0; i < str.length; i++) {
            if (str[i] == '<') {
                inTag = true;
                output += str[i];
            }
            else if (str[i] == '>') {
                inTag = false;
                output += str[i];
            }
            else if (!inTag) {
                output += original[j++];
            }
            else {
                output += str[i];
            }
        }
        return output;
    };
    AlmSearchHighlight.decorators = [
        { type: Pipe, args: [{ name: 'almSearchHighlight' },] },
    ];
    /** @nocollapse */
    AlmSearchHighlight.ctorParameters = function () { return []; };
    return AlmSearchHighlight;
}());
export { AlmSearchHighlight };
//# sourceMappingURL=alm-search-highlight.pipe.js.map